%%Written by Asad Anwar Butt
%%04/17/09
%%GT_Label: This function takes as input the endpoints of reflection axes,
%%and stores them for each image for future use in validation of symmetry
%%detection algoirthms.
function GT_Label

path = './../Synthetic_Data_Set/Synthetic_multiple/';
% path='C:\Users\Asad\Documents\Publications\Journal_Symmetry_evaluation\Da
% taset\Synthetic_multiple\GT\';
dir_list = dir(path);

fprintf('Processing directory %s\n', path);
data_cell_GT = cell(size(dir_list,1)-2,2);
count = 0;

for i = 3:size(dir_list,1)
    if (size(strfind(dir_list(i).name, '.bmp'),1) > 0 || ...
        size(strfind(dir_list(i).name, '.tif'),1) > 0 || ...
        size(strfind(dir_list(i).name, '.png'),1) > 0 || ...
        size(strfind(dir_list(i).name, '.jpg'),1) > 0 || ...
        size(strfind(dir_list(i).name, '.GIF'),1) > 0 || ...
        size(strfind(dir_list(i).name, '.JPG'),1) > 0)
	
        fprintf('  %s\n', dir_list(i).name);
        im=imread([path dir_list(i).name]);
        image(im);
        
        count = count+1;
        [x,y]=ginput;
        z=[x,y]';
        z=z(:);
        data_cell_GT{count,1}=dir_list(i).name;
        data_cell_GT{count,2}=z';    
        
        %%To write to output text file. Instead, we make a mat file
%         outFileName = [path dir_list(i).name '.txt'];
%         outFile = fopen(outFileName,'w');
%         
%         for j=1:2:size(x,1)
%             fprintf(outFile,'%d %d %d %d ',[x(j),y(j),x(j+1),y(j+1)]);
%         end
%         fclose(outFile);
    end
end
save ([path,'GT_points'],'data_cell_GT');
